## cpufrequtils 007

=== debian/changelog ===
cpufrequtils (007-2) unstable; urgency=low

  * Bulk load only helper modules. Linux 3.0 shuffled cpufreq modules
    locations a bit and now cpu drivers and helpers are in the same directory
    (closes: #636141).
  * Use modprobe -b in loadcpufreq to honour blacklisted modules
    (closes: #592488).
  * Load powernow-k8 for AMD family 20 (i.e. AMD E-350 cpus)
    (closes: #627811).
  * Stop changing printk levels when loading cpufreq modules (closes: #624575
    and closes: #596235).

 -- Mattia Dongili <malattia@debian.org>  Wed, 03 Aug 2011 18:13:41 +0900

cpufrequtils (007-1) unstable; urgency=low

  * New upstream version
  * Load acpi_cpufreq instead of e_powersaver on VIA C7s (closes: #566214 and
    closes: #579091)
  * loadcpufreq should start after syslog (closes: #578639)
  * Remove stop symlinks in runlevel 0 1 6 on upgrades (closes: #498717)
  * Start loadcpufreq on install (closes: #544098)
  * Add a homepage link in the control file for cpufrequtils (closes: #579089)
  * Remove patches included upstream, refresh the rest
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version and check for file existence before including it
    in loadcpufreq (lintian warnings)

 -- Mattia Dongili <malattia@debian.org>  Sat, 15 May 2010 20:04:34 +0900

cpufrequtils (006-2) unstable; urgency=low

  * Grrr! fix the stop scripts removal condition

 -- Mattia Dongili <malattia@debian.org>  Sat, 21 Nov 2009 23:44:09 +0900

cpufrequtils (006-1) unstable; urgency=low

  * New upstream version
  * Fix the errors in the extended description (closes: #543679).
  * Re-generate the symbols file (closes: #552344).
  * Use upper-case for the CPU aronym (closes: #493174).
  * Remove the unused stop links in /etc/rc[016].d (closes: 498717)
  * Bump Standards-Version to latest (3.8.3).
  * Add cpufreq-aperf manpage and pull quilt as a dependency to add patches.
  * Pull a fix from the upstream repository to fix reading of /proc/stat in
    cpufreq-aperf (6657831200419d7509edcc04434d03b994c86adb).

 -- Mattia Dongili <malattia@debian.org>  Fri, 20 Nov 2009 20:24:47 +0900

cpufrequtils (005-1) unstable; urgency=low

  * New upstream version
  * Always load acpi-cpufreq on Intel CPUs with the est flag (Closes: #502431)
  * Load the powenow-k8 module for AMD family 17, Laszlo Kajan
    <kajla76@gmail.com> (Closes: 523839)
  * Removed libsysfs dependency, not needed anymore

 -- Mattia Dongili <malattia@debian.org>  Sun, 26 Apr 2009 15:15:11 +0900

cpufrequtils (004-2) unstable; urgency=low

  * Load powernow-k8 for Phenom AMD CPUs (Closes: #491299)

 -- Mattia Dongili <malattia@debian.org>  Sat, 19 Jul 2008 15:10:07 +0900

cpufrequtils (004-1) unstable; urgency=low

  * New upstream version
  * Ack previous NMUs (Closes: #470062) (Closes: #464636) (Closes: #468483)
    (Closes: #468655)
  * removed dependency on libsysfs as the upstream code doesn't need
    it anymore

 -- Mattia Dongili <malattia@debian.org>  Wed, 16 Jul 2008 20:54:15 +0900

cpufrequtils (002-7.2) unstable; urgency=low

  * Non-maintainer upload with consent from Mattia Dongili.
  * Fix typo in call to dh_installinit (Closes: #470062)

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  8 Mar 2008 23:32:26 +0100

cpufrequtils (002-7.1) unstable; urgency=low

  * Non-maintainer upload with consent from Mattia Dongili.
  * Fix bashism in init.d/loadcpufreq (Closes: #464636)
  * Make sure update-rc.d is called in dependency order to
    work with insserv.  Depend on debhelper >= 6 for this to work
    properly (Closes: #468483)
  * Correct LSB dependnecy information (Closes: #468655)

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  8 Mar 2008 11:44:08 +0100

cpufrequtils (002-7) unstable; urgency=low

  * Set ENABLE=true by default in loadcpufreq.init (Closes: #457753)
  * use /proc/stat to get the list of cpus for which we need to set the
    default governor/limits at boot in cpufrequtils.init (Closes: #457931)

 -- Mattia Dongili <malattia@debian.org>  Sun, 30 Dec 2007 11:39:18 +0900

cpufrequtils (002-6) unstable; urgency=low

  * in loadcpufreq.init:
    - Support VIA C7 (model_id 10) (Closes: #429269)
    - Redirect to stderr correclty (Closes: #431690)
    - Only check for sysfs file existence as we don't know exactly which
      governors are really available (Closes: 431922)
    - redirect stderr on modprobe and say that no module has been loaded if
      that is the case, patch from Kel Modderman (Closes: #428248)
  * set policy earlier to avoid overriding policy daemons (Closes: #433202)
  * use cpufreq-info to determine the available CPUs, patch from Kel Modderman
    (Closes: #449307)
  * document ordering of init.d scripts in LSB header, patch from Petter
    Reinholdtsen (Closes: #451482)
  * handle DEB_BUILD_OPTIONS=nostrip in debian/rules (Closes: #436673)
  * allow disabling and/or overriding loadcpufreq (Closes: #440915)
  * clarify the package description stating this package also enable active
    cpu control at boot time (Closes: #433203)
  * bump Standards-Version to 3.7.3
  * unignore $(MAKE) clean errors as it actually should never fail in normal
    conditions for this package (lintian warning)
  * describe the usage of /etc/default/loadcpufreq in README.Debian

 -- Mattia Dongili <malattia@debian.org>  Mon, 24 Dec 2007 14:15:47 +0900

cpufrequtils (002-5) unstable; urgency=low

  * fix loadcpufreq script to avoid using laptop-detect as the result
    of its invocation was not used (Closes: #428172).
  * output the name of the driver used at startup.

 -- Mattia Dongili <malattia@debian.org>  Sun, 10 Jun 2007 11:30:31 +0900

cpufrequtils (002-4) unstable; urgency=low

  * Enable by default if cpufreq kernel module is loaded thanks 
    to Peter Reinholdtsen for the base code/idea (Closes: #426138)

 -- Mattia Dongili <malattia@debian.org>  Thu, 31 May 2007 00:29:39 +0900

cpufrequtils (002-3) unstable; urgency=low

  * Acknowledge NMUs (Closes: #412184) (Closes: #423991)

