## cpufrequtils 008

=== debian/changelog ===
cpufrequtils (008-2) unstable; urgency=medium

  * New maintainer (Closes: #933159)
  * Add "for internal use" to debian/cpufrequtils.templates to fix
    lintian warning.
  * Bump Standards-Version to 4.5.0.
  * Bump debhelper compat to 13.
  * Remove -O2 CFLAGS from debian/rules when noopt is defined.
  * Add hardening+=all to debian/rules and set-hardening.patch.
  * Add Vcs-* fields to debian/control.
  * Remove hurd, kbsd64, and kbsd32 from debian/control.
  * Add Build-Depends-Package field to debian/libcpufreq0.symbols.
  * Change the format of debian/copyright to dep5.
  * Fix typos in man files.
  * Remove debian/source.lintian-overrides to fix lintian warning.
  * Change to the secure URL in debian/watch.

 -- Seunghun Han <kkamagui@gmail.com>  Mon, 04 May 2020 12:20:06 +0900

cpufrequtils (008-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Niels Thykier ]
  * Set Rules-Requires-Root to "no".
  * Replace usage of "dh_clean -k" with "dh_prep".
  * Remove redundant/empty postinst and postrm from the packages.
  * Bump debhelper compat to 12.
    - Pass --no-restart-after-upgrade to dh_installinit to maintain
      the previous behaviour of the maintscripts.
    - Add Pre-Depends on ${misc:Pre-Depends}.

  [ Breno Leitao ]
  * Remove the package binary package for Power architecture, since Power CPU
    family uses linux-cpupower to handle the machine Power management unit.
    (Closes: #889895)

  [ Helmut Grohne ]
  * Fix FTCBFS: pass CROSS= to Makefile.  (Closes: #793913)

 -- Niels Thykier <niels@thykier.net>  Sun, 30 Dec 2018 22:29:38 +0000

cpufrequtils (008-1) unstable; urgency=low

  * Package the last available upstream vesion of cpufrequtils. Anything
    after this should really be cpupowerutils (closes: 639454).
  * Include all the work also pending the in the git repository as patches
    on top of version 008.
  * Upstream fixed po.DE (closes: #633307).
  * Enable static library building as upstream disabled it.
  * Load powernow-k8 for AMD Bulldozer (21) and Llano (18) (closes: #654957).
  * Do not update po files upon building (closes: #651415).

 -- Mattia Dongili <malattia@debian.org>  Sun, 06 May 2012 08:23:44 +0900
