=== debian/control ===
Source: cpufrequtils
Section: admin
Priority: optional
Maintainer: Seunghun Han <kkamagui@gmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html
Vcs-Git: https://salsa.debian.org/debian/cpufrequtils.git
Vcs-Browser: https://salsa.debian.org/debian/cpufrequtils

Package: cpufrequtils
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64el mipsel s390x sh4 sparc64 x32
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0)
Description: utilities to deal with the cpufreq Linux kernel feature
 This package contains two utilities for inspecting and setting the
 CPU frequency through both the sysfs and procfs CPUFreq kernel
 interfaces.
 .
 By default, it also enables CPUFreq at boot time if the correct CPU
 driver is found.

Package: libcpufreq0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: shared library to deal with the cpufreq Linux kernel feature
 This library provide an unified method to access the CPUFreq kernel
 interface.

Package: libcpufreq-dev
Architecture: any
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: libcpufreq0 (= ${binary:Version}), ${misc:Depends}
Description: development files to deal with the cpufreq Linux kernel feature
 This package provides everything that is needed for developing own
 programs using libcpufreq.
