=== debian/rules ===
--- 
+++ 
@@ -15,19 +15,18 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-
-CFLAGS = -Wall -g
+CFLAGS += -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
-else
-	CFLAGS += -O2
 endif
 
 # handle nostrip
@@ -40,13 +39,14 @@
 version=0.0.0
 major=0
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 
 	# compile the package.
-	# CROSS=$(DEB_BUILD_GNU_TYPE)
-	$(MAKE) CFLAGS="$(CFLAGS)" DESTDIR="$(CURDIR)/debian/tmp" mandir=/usr/share/man V=1 DEBUG=$(DEBUG)
+	$(MAKE) CROSS=$(DEB_HOST_GNU_TYPE)- CFLAGS="$(CFLAGS)" DESTDIR="$(CURDIR)/debian/tmp" mandir=/usr/share/man V=1 DEBUG=$(DEBUG)
 
 	touch build-stamp
 
@@ -59,15 +59,15 @@
 	# Add here commands to clean up after the build process.
 	$(MAKE) clean
 
-	dh_clean 
+	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
-	# Add here commands to install the arch part of the package into 
+	# Add here commands to install the arch part of the package into
 	# debian/tmp.
 	$(MAKE) install DESTDIR="$(CURDIR)/debian/tmp" mandir=/usr/share/man V=1
 
@@ -84,14 +84,14 @@
 	dh_installdocs
 	dh_installexamples
 	dh_installman
-	dh_installinit --name loadcpufreq -r -u"start 05 2 3 4 5 ."
-	dh_installinit -r -u"start 19 2 3 4 5 ."
+	dh_installinit --name loadcpufreq -r --no-restart-after-upgrade -u"start 05 2 3 4 5 ."
+	dh_installinit -r --no-restart-after-upgrade -u"start 19 2 3 4 5 ."
 	dh_installdebconf
 	install -D -m644 debian/lintian.overrides \
 		debian/cpufrequtils/usr/share/lintian/overrides/cpufrequtils
 	dh_link
 	dh_strip
-	dh_compress 
+	dh_compress
 	dh_fixperms
 	dh_makeshlibs
 	dh_installdeb
@@ -101,4 +101,4 @@
 	dh_builddeb
 
 binary: binary-arch binary-indep
-.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch 
+.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch
