=== debian/watch ===
version=3
https://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils-(.*)\.tar\.gz
